require_relative 'y_speller/http_client.rb'
require 'json'

module Y_Speller

BASE_URL = "http://speller.yandex.net/services/spellservice.json/checkText"

  def self.input
    p "Введите строку для проверки:"
    gets.chomp

  end

  def self.check string, lang = nil
    p "Строка для проверки: #{string}"
    response = HTTPClient.new.get_query(BASE_URL, {text: string, lang: lang} )
    result = JSON.parse(response.body)
    result
  end

  def self.print_result result
    if result.empty?
      puts "Ошибок не найдено"
    else
      result.each { |row|
        puts "Найдена ошибка в слове #{row["word"]}"
      }

    end

  end

end


Y_Speller.print_result(Y_Speller.check(Y_Speller.input))
